using System;
using System.IO;
using Castle.Windsor;
using EnterprisePatterns.Utility;
using Rhino.Commons.Binsor;

namespace EnterprisePatterns.Task
{
    public class ApplicationStartupTask
    {
        private static readonly string ContainerConfigurationPath = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "container.boo");

        public static void Initialize()
        {
            IWindsorContainer container = new WindsorContainer();
            BooReader.Read(container, ContainerConfigurationPath);
            DependencyResolver.Register(new WindsorDependencyContainer(container));
        }
    }
}