using System.Collections.Generic;
using EnterprisePatterns.DataAccess;
using EnterprisePatterns.Domain;

namespace EnterprisePatterns.Task
{
    public class EmployeeTask : IEmployeeTask
    {
        private readonly IEmployeeMapper employeeMapper;

        public EmployeeTask(IEmployeeMapper employeeMapper)
        {
            this.employeeMapper = employeeMapper;
        }

        public IList<IEmployee> GetAllEmployees()
        {
            return employeeMapper.FindAll();
        }
    }
}