namespace EnterprisePatterns.Utility
{
    public static  class DependencyResolver
    {
        private static IDependencyContainer container;

        public static void Register(IDependencyContainer container)
        {
            DependencyResolver.container = container;    
        }

        public static T GetImplementationOf<T>()
        {
            return container.GetImplementationOf<T>();
        }
        
    }
}