using System;

namespace EnterprisePatterns.DTO
{
    public class EmployeeDTO
    {
        private string lastName;
        private string firstName;
        private string title;
        private DateTime birthDate;
        private DateTime hireDate;

        public EmployeeDTO(string lastName, string firstName, string title, DateTime birthDate, DateTime hireDate)
        {
            this.lastName = lastName;
            this.firstName = firstName;
            this.title = title;
            this.birthDate = birthDate;
            this.hireDate = hireDate;
        }

        public string LastName
        {
            get { return lastName; }
        }

        public string FirstName
        {
            get { return firstName; }
        }

        public string Title
        {
            get { return title; }
        }

        public DateTime BirthDate
        {
            get { return birthDate; }
        }

        public DateTime HireDate
        {
            get { return hireDate; }
        }
    }
}