﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="ViewEmployees.aspx.cs" Inherits="ViewEmployees" %>
<%@ Import namespace="System.ComponentModel"%>
<%@ Import namespace="EnterprisePatterns.Domain"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <link href="IOC.css" rel="stylesheet" type="text/css" />
    <title>View Employees</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Repeater ID="employeesRepeater" runat="server">            
            <HeaderTemplate>
                <table>
                    <thead>
                        <tr>
                            <th class="tableHeaderCenter" colspan="6">Employee Information</th>                            
                        </tr>
                        
                        <tr>
                            <th class="tableHeader">Last Name</th> 
                            <th class="tableHeader">First Name</th> 
                            <th class="tableHeader">Title</th> 
                            <th class="tableHeader">Birth Date</th> 
                            <th class="tableHeader">Hire Date</th> 
                        </tr>                        
                    </thead>                
            </HeaderTemplate>
            <ItemTemplate> 
                    <tr class="<%# CSSClassFor(Container.ItemIndex) %>">
                        <td class="tableDataLeft"><%# CastAs<IEmployee>(Container.DataItem).LastName %></td>
                        <td class="tableDataLeft"><%# CastAs<IEmployee>(Container.DataItem).FirstName%></td>
                        <td class="tableDataLeft"><%# CastAs<IEmployee>(Container.DataItem).Title%></td>
                        <td class="tableDataLeft"><%# CastAs<IEmployee>(Container.DataItem).BirthDate.ToShortDateString()%></td>
                        <td class="tableDataLeft"><%# CastAs<IEmployee>(Container.DataItem).HireDate.ToShortDateString()%></td>                        
                    </tr>
            </ItemTemplate>
            <FooterTemplate>
                <table></table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
    </form>
</body>
</html>
